datablock StaticShapeData(orbitalBuildMoverShape)
{
	shapeFile = "base/data/shapes/empty.dts";
};

function serverCmdOrbitalBuild(%client)
{
	%temp = %client.player.tempBrick;
	
	if(!isObject(%temp))
		return messageClient(%client,'',"\c6You do not have a ghost brick!");
		
	if(%client.player.isOrbitalBuilding)
	{
		%client.camera.mode = "Observer";
		%client.setControlObject(%client.player);
		%client.player.isOrbitalBuilding = false;
		return;
	}
	
	%transform = %temp.getTransform();
	
	%temp.ghostOrbitObject = new StaticShape()
	{
		datablock = orbitalBuildMoverShape;
		position = %transform;
	};
	
	%client.camera.setOrbitMode(%temp.ghostOrbitObject, %temp.ghostOrbitObject.getTransform(), 0.5, 8, 8, 1);
	%client.camera.mode = "Orbit";
	%client.player.isOrbitalBuilding = true;
	%client.setControlObject(%client.camera);
}

package orbitalBuilding
{
	function serverCmdCancelBrick(%client)
	{
		if(%client.player.isOrbitalBuilding)
		{
			if(isObject(%client.player.tempBrick.ghostOrbitObject))
				%client.player.tempBrick.ghostOrbitObject.delete();
				
			%client.camera.mode = "Observer";
			%client.setControlObject(%client.player);
			%client.player.isOrbitalBuilding = false;
		}
		Parent::serverCmdCancelBrick(%client);
	}
	
	function fxDTSBrick::setTransform(%obj, %transform)
	{
		Parent::setTransform(%obj, %transform);
		if(isObject(%obj))
		{
			if(isObject(%obj.ghostOrbitObject))
			{
				%obj.ghostOrbitObject.setTransform(%transform);
			}
		}
	}
};
activatePackage(orbitalBuilding);